kmdidocumentviewtabwidget.h
//----------------------------------------------------------------------------
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU Library General Public License as
// published by the Free Software Foundation; either version 2 of the
// License, or (at your option) any later version.
//
//----------------------------------------------------------------------------
#ifndef _KMDI_DOCUMENT_VIEW_TAB_WIDGET_H_
#define _KMDI_DOCUMENT_VIEW_TAB_WIDGET_H_
#include <ktabwidget.h>
#include <kmdidefines.h>
class KPopupMenu;
//KDE4: Add a d pointer
class KMDI_EXPORT KMdiDocumentViewTabWidget:
public KTabWidget
{
Q_OBJECT
public:
KMdiDocumentViewTabWidget( QWidget* parent, const char* name = 0 );
~KMdiDocumentViewTabWidget();
virtual void addTab ( QWidget * child, const QString & label );
virtual void addTab ( QWidget * child, const QIconSet & iconset, const QString & label );
virtual void addTab ( QWidget * child, QTab * tab );
virtual void insertTab ( QWidget * child, const QString & label, int index = -1 );
virtual void insertTab ( QWidget * child, const QIconSet & iconset, const QString & label, int index = -1 );
virtual void insertTab ( QWidget * child, QTab * tab, int index = -1 );
virtual void removePage ( QWidget * w );
KMdi::TabWidgetVisibility tabWidgetVisibility();
void setTabWidgetVisibility( KMdi::TabWidgetVisibility );
private slots:
void closeTab( QWidget* w );
void moveTab( int from, int to );
public slots:
void updateIconInView( QWidget*, QPixmap );
void updateCaptionInView( QWidget*, const QString& );
private slots:
void maybeShow();
private:
KMdi::TabWidgetVisibility m_visibility;
signals:
void initiateTabMove(int, int);
};
#endif
// kate: space-indent off; tab-width 4; replace-tabs off; indent-mode csands;
KMdiDocumentViewTabWidget
A reimplementation of KTabWidget for KMDI.
Definition: kmdidocumentviewtabwidget.h:22

KDE Home | KDE Accessibility Home | Description of Access Keys